# eric3.KdeQt.KQMessageBox

Compatibility module to use the KDE Message Box instead of the Qt Message Box.

### Classes

None

### Functions

about | Function to show a modal about message box.
critical | Function to show a modal critical message box.
information | Function to show a modal information message box.
question | Function to show a modal question message box.
warning | Function to show a modal warning message box.

## about

about(parent, caption, text)

Function to show a modal about message box.

caption
  caption of the message box
parent
  parent widget of the message box
text
  text to be shown by the message box

Up

## critical

critical(parent, caption, text, button0Text = None, button1Text = None, button2Text = None, defaultButton = 0, escapeButton = -1)

Function to show a modal critical message box.

button0Text
  text of the first button
button1Text
  text of the second button
button2Text
  text of the third button
caption
  caption of the message box
defaultButton
  index of the default button (0, 1 or 2) (ignored)
escapeButton
  index of the escape button (-1, 0, 1 or 2) (ignored)
parent
  parent widget of the message box
text
  text to be shown by the message box

Returns:
  number of the button that was pressed (integer, always 0)

Up

## information

information(parent, caption, text, button0Text = None, button1Text = None, button2Text = None, defaultButton = 0, escapeButton = -1)

Function to show a modal information message box.

button0Text
  text of the first button (ignored, it is always 'OK')
button1Text
  text of the second button (ignored)
button2Text
  text of the third button (ignored)
caption
  caption of the message box
defaultButton
  index of the default button (0, 1 or 2) (ignored)
escapeButton
  index of the escape button (-1, 0, 1 or 2) (ignored)
parent
  parent widget of the message box
text
  text to be shown by the message box

Returns:
  number of the button that was pressed (integer, always 0)

Up

## question

question(parent, caption, text, button0Text = None, button1Text = None, button2Text = None, defaultButton = 0, escapeButton = -1)

Function to show a modal question message box.

button0Text
  text of the first button
button1Text
  text of the second button
button2Text
  text of the third button
caption
  caption of the message box
defaultButton
  index of the default button (0, 1 or 2) (ignored)
escapeButton
  index of the escape button (-1, 0, 1 or 2) (ignored)
parent
  parent widget of the message box
text
  text to be shown by the message box

Returns:
  number of the button that was pressed (integer, always 0)

Up

## warning

warning(parent, caption, text, button0Text = None, button1Text = None, button2Text = None, defaultButton = 0, escapeButton = -1)

Function to show a modal warning message box.

button0Text
  text of the first button
button1Text
  text of the second button
button2Text
  text of the third button
caption
  caption of the message box
defaultButton
  index of the default button (0, 1 or 2) (ignored)
escapeButton
  index of the escape button (-1, 0, 1 or 2) (ignored)
parent
  parent widget of the message box
text
  text to be shown by the message box

Returns:
  number of the button that was pressed (integer, always 0)

Up